SDL_uikitmodes.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_uikitvideo.h"`
Include dependency graph for SDL_uikitmodes.h:

Go to the source code of this file.

## Data Structures

struct | SDL_DisplayData
struct | SDL_DisplayModeData

## Functions

SDL_bool | UIKit_IsDisplayLandscape (UIScreen *uiscreen)
int | UIKit_InitModes (_THIS)
void | UIKit_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | UIKit_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
void | UIKit_QuitModes (_THIS)
int | UIKit_GetDisplayUsableBounds (_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)

## Function Documentation

## UIKit_GetDisplayModes()

void UIKit_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## UIKit_GetDisplayUsableBounds()

int UIKit_GetDisplayUsableBounds | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_Rect * | rect
| ) |  |

## UIKit_InitModes()

int UIKit_InitModes | ( | _THIS |  | ) |

## UIKit_IsDisplayLandscape()

SDL_bool UIKit_IsDisplayLandscape | ( | UIScreen * | uiscreen | ) |

## UIKit_QuitModes()

void UIKit_QuitModes | ( | _THIS |  | ) |

## UIKit_SetDisplayMode()

int UIKit_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |